GET
/api/v1/cdpbackup/{node_id}/status/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/status/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/status/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/status/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the backup status request
Example
<API_KEY>location
required
string
Specifies the location for which to retrieve backup status.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code for backup operation
integer
data
Array<object>
object
node_id
Unique identifier of the node in the backup status response
integer
status
Indicates the current backup status for the item.
string
detail
Backup status detail string
string
errors
object
message
Status message indicating the result of the backup operation
string
Example
{ "code": 200, "data": [ { "node_id": 12345, "status": "backup_not_activated", "detail": "Not Activated" } ], "message": "Success"}